Bug 259589 - emulators/i386-wine & i386-wine-devel: Deletion
Summary: emulators/i386-wine & i386-wine-devel: Deletion
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords: patch-ready
: 259587 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-11-01 12:13 UTC by Alexander Vereeken
Modified: 2021-11-21 10:11 UTC (History)
3 users (show)

See Also:
gerald: maintainer-feedback+
gerald: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2021-11-01 12:13:56 UTC
Hello,

since emulators/wine and emulators/wine-devel now providing i386 libraries too, both i386-wine(-devel) are now obsolete.

https://reviews.freebsd.org/D32322
Comment 1 Gerald Pfeifer freebsd_committer 2021-11-04 18:30:26 UTC
I support this (and the changes to the remaining emulators/wine* ports)
and, listed as the sole approved on Phabricator approved there.

I am also marking it as maintainer approved here in Bugzilla (since
Alexander as the submitter is the maintainer and I maintain emulators/wine
and am mentoring the emulators/wine-devel maintainer) and set patch-ready.

Hopefully a fellow committer is going to pick this up and commit...
Comment 2 Gerald Pfeifer freebsd_committer 2021-11-06 09:37:11 UTC
*** Bug 259587 has been marked as a duplicate of this bug. ***
Comment 3 Gerald Pfeifer freebsd_committer 2021-11-06 09:38:11 UTC
Once committed, this should be merged to quarterly since it simply is
broken right now, so no point in keeping it.
Comment 4 Gerald Pfeifer freebsd_committer 2021-11-15 23:06:27 UTC
Since nobody stepped up, I'll take care.

For lack of tools like the original mfh script I will not push this into
the quarterly branch.
Comment 5 commit-hook freebsd_committer 2021-11-16 14:34:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=99af2239fc168cc980f622c3f98b6ab21af873aa

commit 99af2239fc168cc980f622c3f98b6ab21af873aa
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-11-16 06:09:39 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-11-16 14:33:56 +0000

    emulators/i386-wine-devel: Remove port.

    This port and its pre-built binaries have not been updated lately and
    emulators/wine-devel is now providing i386 support on amd64, so remove
    i386-wine-devel.

    Adjust CONFLICTS_INSTALL on related ports and simplify (and update both
    user and developer documentation in wine-devel).

    Approved by:            maintainer (= submitter)
    PR:                     259589
    Differential Revision:  https://reviews.freebsd.org/D32322

 MOVED                                              |    1 +
 emulators/Makefile                                 |    1 -
 emulators/i386-wine-devel/Makefile (gone)          |   37 -
 emulators/i386-wine-devel/Makefile.amd64 (gone)    |   53 -
 emulators/i386-wine-devel/Makefile.i386 (gone)     |   88 -
 emulators/i386-wine-devel/distinfo (gone)          |    9 -
 emulators/i386-wine-devel/files/binbounce (gone)   |   26 -
 emulators/i386-wine-devel/files/nvidia.sh (gone)   |  168 -
 emulators/i386-wine-devel/files/pkg-install (gone) |   47 -
 .../i386-wine-devel/files/pkg-message.in (gone)    |   33 -
 emulators/i386-wine-devel/pkg-descr (gone)         |   15 -
 emulators/i386-wine-devel/pkg-plist (gone)         | 3558 --------------------
 emulators/i386-wine/Makefile                       |    2 +-
 emulators/wine-devel/Makefile                      |   22 +-
 emulators/wine-devel/pkg-descr                     |    4 -
 emulators/wine/Makefile                            |    3 +-
 16 files changed, 10 insertions(+), 4057 deletions(-)
Comment 6 Gerald Pfeifer freebsd_committer 2021-11-16 14:42:38 UTC
I broke out the i386-wine-devel portion (and where it touched other ports),
adding some missing bits to the original patch and tweaking things a bit
here and there.

Please advise of any issues or suggestions for the i386-wine change that I
plan on making a few days later.
Comment 7 Alexander Vereeken 2021-11-16 15:52:31 UTC
(In reply to Gerald Pfeifer from comment #6)

Thank you Gerald!

I do have no changes or suggestions, feel free to proceed.
Comment 8 commit-hook freebsd_committer 2021-11-19 06:56:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=056135a38ed91f3eff4fcd9578962fbd01d3a34b

commit 056135a38ed91f3eff4fcd9578962fbd01d3a34b
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-11-19 06:53:49 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-11-19 06:55:03 +0000

    emulators/i386-wine: Remove port.

    This port and its pre-built binaries have not been updated lately and
    emulators/wine is now providing i386 support on amd64, so remove the
    i386-wine port.

    Adjust CONFLICTS_INSTALL on related ports and simplify (and update both
    user and developer documentation in emulators/wine).

    PR:             259589
    Differential Revision:  https://reviews.freebsd.org/D32322

 MOVED                                           |    1 +
 emulators/Makefile                              |    1 -
 emulators/i386-wine/Makefile (gone)             |   41 -
 emulators/i386-wine/Makefile.amd64 (gone)       |   52 -
 emulators/i386-wine/Makefile.i386 (gone)        |   88 -
 emulators/i386-wine/distinfo (gone)             |    9 -
 emulators/i386-wine/files/binbounce (gone)      |   26 -
 emulators/i386-wine/files/nvidia.sh (gone)      |  168 --
 emulators/i386-wine/files/pkg-install (gone)    |   47 -
 emulators/i386-wine/files/pkg-message.in (gone) |   33 -
 emulators/i386-wine/pkg-descr (gone)            |   15 -
 emulators/i386-wine/pkg-plist (gone)            | 3469 -----------------------
 emulators/wine-devel/Makefile                   |    2 +-
 emulators/wine/Makefile                         |   22 +-
 emulators/wine/pkg-descr                        |    4 -
 15 files changed, 9 insertions(+), 3969 deletions(-)
Comment 9 Gerald Pfeifer freebsd_committer 2021-11-19 06:58:22 UTC
I believe that should (essentially) close this. Thank you, Alexander!

If I have missed anything, please advise and I'll take care quickly.
Comment 10 Zane C. Bowers-Hadley 2021-11-21 07:06:42 UTC
We really need to reverse this.

emulators/wine-devel very much is failing to provide the i386 libraries.
Comment 11 Alexander Vereeken 2021-11-21 10:11:46 UTC
Hello Zane C. Bowers-Hadley,

do you like to please explain your problem in more detail?